// $Id: newpage.js 61 2010-11-29 03:35:29Z mashiki $
function() {
	XM.prompt(
		'新規ページ',
		'ページ名を入力してください',
		function (btn, page) {
			if (btn=='ok' && page){
				var refer, pnl = Xji.getActivePanel();
				if (pnl) {
					refer = pnl.getPI();
					page = page.replace(/^\.\.\//, (refer.page.match(/^.+%2F/i)||[''])[0]);
					page = page.replace(/^\.\//, refer.page+'/');
				}
				// ページ情報取得
				Xji.request({
					url: P.UrlWiki+'?'+Xji.obj2query({
						cmd:'extwiki',
						mode:'getPageInfo',
						page: page
					}),
					x_page  : page,
					x_pnl   : pnl,
					success : function(res, opt) {
						// ページが存在するならばそのページをロードもしくはアクティブにする
						if (res.found) {
							Xji.loadPluginPage({page:res.page});
						} else {
						// なければ新規で編集画面を開く
						// referつき
							Xji.require('edit', function(opt){
								X.edit(opt);
							}, {page:res.page,refer:refer,force:true});
						}
					},
					failure : Xji.onRequestFail
				});
			}
		}
	);
}
